Package org.jfree.layouting.layouter.content.computed

## Class CountersToken

- java.lang.Object
- - org.jfree.layouting.layouter.content.computed.ComputedToken
  - - org.jfree.layouting.layouter.content.computed.CountersToken

- All Implemented Interfaces:
    `ContentToken`

      public class CountersToken
      extends ComputedToken

  This is a meta-token. It must be completly resolved during the ContentNormalization, and must be replaced by a sequence of 'Counter' tokens.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CountersToken​(java.lang.String name, java.lang.String separator, CounterStyle style)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName​()` |
    `java.lang.String` | `getSeparator​()` |
    `CounterStyle` | `getStyle​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CountersToken

          public CountersToken​(java.lang.String name,
                               java.lang.String separator,
                               CounterStyle style)

  - ### Method Detail

    - #### getSeparator

          public java.lang.String getSeparator​()

    - #### getName

          public java.lang.String getName​()

    - #### getStyle

          public CounterStyle getStyle​()